Bug 104875 - Latest Perl errata upgrades RH7.1 to 5.6.1 from 5.6.0 and breaks dependencies
Latest Perl errata upgrades RH7.1 to 5.6.1 from 5.6.0 and breaks dependencies
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: perl (Show other bugs)
7.1
All Linux
high Severity medium
: ---
: ---
Assigned To: Chip Turner
Ben Levenson
: Security
: 104871 104888 104931 104953 104977 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-22 20:21 EDT by Jon Benson
Modified: 2014-01-21 17:48 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-03 10:29:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jon Benson 2003-09-22 20:21:54 EDT
Description of problem:
The latest Perl errata for RedHat 7.1 upgrade Perl to 5.6.1

This means anything (such as mod_perl) built for 5.6.0 is broken.  If I applied 
these upgrades on a production web server it would then fail to start Apache!

Version-Release number of selected component (if applicable):


How reproducible:
Easily

Steps to Reproduce:
1. Install the latest perl errata on a RH 7.1 server
2.
3.
    
Actual results:
All packages dependent on 5.6.0 (presumably setup to just be dependant on Perl) 
break.

Expected results:
A clean upgrade without the need to obtain custom versions of mod_perl, etc

Additional info:
Comment 1 Mark J. Cox (Product Security) 2003-09-23 04:19:36 EDT
We upgraded from Perl 5.6.0 to 5.6.1 while maintaining full backwards
compatibility.  A previous errata, RHBA-2002:023 did the same upgrade for users
of Red Hat Linux 7.2.  

Did you try the upgrade and did things break?  
Comment 2 Jon Benson 2003-09-23 04:30:58 EDT
I tried it on one of less important machines and yes it broke:

Starting httpd: [Tue Sep 23 18:21:56 2003] [error] Can't locate strict.pm in 
@INC (@INC contains: /usr/lib/perl5/5.6.0/i386-
linux /usr/lib/perl5/5.6.0 /usr/lib/perl5/site_perl/5.6.0/i386-
linux /usr/lib/perl5/site_perl/5.6.0 /usr/lib/perl5/site_perl . /etc/httpd/ /et
c/httpd/lib/perl) at /usr/lib/perl5/site_perl/5.6.0/i386-linux/Apache.pm line 
3.!BEGIN failed--compilation aborted at /usr/lib/perl5/site_perl/5.6.0/i386-
linux/Apache.pm line 3.!Compilation failed in require at (eval 1) line 3.!
Comment 3 David Lawrence 2003-09-23 09:16:04 EDT
*** Bug 104888 has been marked as a duplicate of this bug. ***
Comment 5 David Lawrence 2003-09-23 13:35:03 EDT
*** Bug 104931 has been marked as a duplicate of this bug. ***
Comment 6 David Lawrence 2003-09-23 17:31:53 EDT
*** Bug 104953 has been marked as a duplicate of this bug. ***
Comment 7 Gary Benson 2003-09-24 04:45:39 EDT
*** Bug 104977 has been marked as a duplicate of this bug. ***
Comment 8 Gary Benson 2003-09-24 07:24:59 EDT
QUICK FIX: do the following:

1. Get the SRPM for mod_perl.
2. rpm --rebuild mod_perl-1.24_01-2.src.rpm
3. rpm -Uvh --force mod_perl-1.24_01-2.i386.rpm
Comment 11 Mike Baptiste 2003-09-29 21:28:55 EDT
In rebuilding the mod_perl SRPM, I noticed I got a conflict warning about the
large files flag:

************* WARNING *************

  Your Perl is uselargefiles enabled, but Apache is not, suggestions:
    *) Rebuild Apache with CFLAGS="-D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64"
    *) Rebuild Perl with Configure -Uuselargefiles
    *) Let mod_perl build Apache (USE_DSO=1 instead of USE_APXS=1)

************* WARNING *************

That and the rpm --rebuild fails:

Processing files: mod_perl-1.24_01-2
error: File not found by glob: /var/tmp/mod_perl-root/usr/share/man/man3/*.3*
Comment 12 Mike Baptiste 2003-09-29 21:54:10 EDT
Couldn't get the stock mod_perl srpm to build at all due to the man page path
error noted above.  I finally just downloaded mod_perl 1.28 (latest) and rebuilt
from the tar source:

perl Makefile.PL USE_APXS=1 EVERYTHING=1 CCFLAGS="-fPIC"

Which was the command used in the mod_perl SPEC file and it installed just fine
and the web server came back up
Comment 13 Mark J. Cox (Product Security) 2003-10-03 10:29:34 EDT
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2003-256.html
Comment 14 Lee Howard 2003-10-03 13:40:03 EDT
*** Bug 104871 has been marked as a duplicate of this bug. ***
Comment 15 Need Real Name 2003-10-13 19:14:32 EDT
I viewed the errata link you attatched, but this is the same update that caused
the apache to quit.  I am looking for a newer errata, or is there something I am
missing.  I am having the same problem, why apache server is down pending a fix
from the updated perl rpm.
Comment 16 Mark J. Cox (Product Security) 2003-10-14 04:37:14 EDT
rwcanary: http://rhn.redhat.com/errata/RHSA-2003-256.html was updated to include
replacement mod_perl packages.  Install those packages from this updated errata
to fix this issue.
Comment 17 Need Real Name 2003-10-14 08:26:01 EDT
Fantastic.  Great job.

Note You need to log in before you can comment on or make changes to this bug.